package com.gct.driver.siemens;

import com.gct.driver.core.config.ProtocolConfig;
import com.gct.driver.lotpi.ConnectionConfig;

import java.util.HashMap;

/**
 * dec:
 * <p>
 * SiemensConfig
 * </p>
 *
 * @author lloyd
 * @version 1.0.1
 * @since 2022/3/28 下午1:48
 */
public final class SiemensConfig extends ProtocolConfig {
    private SiemensPLCS driverType;
    private String rack;
    private String slot;
    private int pageSize = 200;

    public SiemensPLCS getDriverType() {
        return driverType;
    }

    public void setDriverType(SiemensPLCS driverType) {
        this.driverType = driverType;
    }

    public String getRack() {
        return rack;
    }

    public void setRack(String rack) {
        this.rack = rack;
    }

    public String getSlot() {
        return slot;
    }

    public void setSlot(String slot) {
        this.slot = slot;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public int getPageSize() {
        return pageSize;
    }
}
