package com.gct.driver.siemens;

import com.gct.driver.lotpi.ConnectionConfig;

import static com.gct.driver.siemens.SiemensPLCS.*;

/**
 * dec:
 * <p>
 * SiemensS1200
 * </p>
 *
 * @author lloyd
 * @version 1.0.1
 * @since 2022/3/28 下午2:07
 */
public class SiemensS1200 extends SiemensS7 {

    public void setConfig(ConnectionConfig config) {
        super.setConfig(config);
        plcHead1[21] = 0;
    }

    public ConnectionConfig parseUrl(String url) {
        ConnectionConfig connectionConfig = super.parseUrl(url);
        ((SiemensConfig) connectionConfig).setDriverType(S1200);
        return connectionConfig;
    }
}
