package com.gct.driver.siemens;

import com.gct.driver.lotpi.ConnectionConfig;

import static com.gct.driver.siemens.SiemensPLCS.S1500;
import static com.gct.driver.siemens.SiemensPLCS.S200;

/**
 * dec:
 * <p>
 * SiemensS1200
 * </p>
 *
 * @author lloyd
 * @version 1.0.1
 * @since 2022/3/28 下午2:07
 */
public class SiemensS200 extends SiemensS7 {

    public void setConfig(ConnectionConfig config) {
        super.setConfig(config);
        plcHead1 = plcHead1_200;
        plcHead2 = plcHead2_200;
    }

    public ConnectionConfig parseUrl(String url) {
        ConnectionConfig connectionConfig = super.parseUrl(url);
        ((SiemensConfig) connectionConfig).setDriverType(S200);

        return connectionConfig;
    }
}
