package com.gct.driver.modbus;

import com.gct.driver.core.config.ProtocolConfig;

/**
 * dec:
 * <p>
 * ModbusTcpConfig
 * </p>
 *
 * @author lloyd
 * @version 1.0.1
 * @since 2022/3/28 下午1:48
 */
public final class ModbusTcpConfig extends ProtocolConfig {

    private final String driverType = "tcp";
    private String station;
    private int pageSize = 100;

    public String getStation() {
        return station;
    }

    public void setStation(String station) {
        this.station = station;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public int getPageSize() {
        return pageSize;
    }
}
